Bullet Collision Detection & Physics Library: btClock Class Reference

Bullet Collision Detection & Physics Library

Public Member Functions | Private Attributes | List of all members
btClock Class Reference

The btClock is a portable basic clock that measures accurate time in seconds, use for profiling. More...

`#include <btQuickprof.h>`

Collaboration diagram for btClock:
[legend]

## Public Member Functions
| btClock ()
| The btClock is a portable basic clock that measures accurate time in seconds, use for profiling. More...
| btClock (const btClock &other)
btClock & | operator= (const btClock &other)
| ~btClock ()
void | reset ()
| Resets the initial reference time. More...
unsigned long long int | getTimeMilliseconds ()
| Returns the time in ms since the last call to reset or since the btClock was created. More...
unsigned long long int | getTimeMicroseconds ()
| Returns the time in us since the last call to reset or since the Clock was created. More...
unsigned long long int | getTimeNanoseconds ()
btScalar | getTimeSeconds ()
| Returns the time in s since the last call to reset or since the Clock was created. More...

## Private Attributes
struct btClockData * | m_data

## Detailed Description

The btClock is a portable basic clock that measures accurate time in seconds, use for profiling.

Definition at line 24 of file btQuickprof.h.

## Constructor & Destructor Documentation

## ◆ btClock() [1/2]

btClock::btClock | ( |  | ) |

The btClock is a portable basic clock that measures accurate time in seconds, use for profiling.

Definition at line 91 of file btQuickprof.cpp.

## ◆ btClock() [2/2]

btClock::btClock | ( | const btClock & | other | ) |

Definition at line 105 of file btQuickprof.cpp.

## ◆ ~btClock()

btClock::~btClock | ( |  | ) |

Definition at line 100 of file btQuickprof.cpp.

## Member Function Documentation

## ◆ getTimeMicroseconds()

unsigned long long int btClock::getTimeMicroseconds | ( |  | ) |

Returns the time in us since the last call to reset or since the Clock was created.

Definition at line 178 of file btQuickprof.cpp.

## ◆ getTimeMilliseconds()

unsigned long long int btClock::getTimeMilliseconds | ( |  | ) |

Returns the time in ms since the last call to reset or since the btClock was created.

Definition at line 143 of file btQuickprof.cpp.

## ◆ getTimeNanoseconds()

unsigned long long int btClock::getTimeNanoseconds | ( |  | ) |

Definition at line 212 of file btQuickprof.cpp.

## ◆ getTimeSeconds()

btScalar btClock::getTimeSeconds | ( |  | ) |

Returns the time in s since the last call to reset or since the Clock was created.

Definition at line 276 of file btQuickprof.cpp.

## ◆ operator=()

btClock & btClock::operator= | ( | const btClock & | other | ) |

Definition at line 111 of file btQuickprof.cpp.

## ◆ reset()

void btClock::reset | ( |  | ) |

Resets the initial reference time.

Definition at line 119 of file btQuickprof.cpp.

## Member Data Documentation

## ◆ m_data

struct btClockData* btClock::m_data
| private

Definition at line 52 of file btQuickprof.h.

The documentation for this class was generated from the following files:

- btQuickprof.h
- btQuickprof.cpp